SolrConfig.HttpCachingConfig.LastModFrom (Solr 3.6.2 API)
Keywords: org.apache.solr.core.SolrConfig.HttpCachingConfig.LastModFrom class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## org.apache.solr.core
Enum SolrConfig.HttpCachingConfig.LastModFrom

    java.lang.Object
      java.lang.Enum<SolrConfig.HttpCachingConfig.LastModFrom>
          org.apache.solr.core.SolrConfig.HttpCachingConfig.LastModFrom

All Implemented Interfaces:
  Serializable, Comparable<SolrConfig.HttpCachingConfig.LastModFrom>

Enclosing class:
  SolrConfig.HttpCachingConfig

    public static enum SolrConfig.HttpCachingConfig.LastModFrom

extends Enum<SolrConfig.HttpCachingConfig.LastModFrom>

Enum Constant Summary
`BOGUS`
`DIRLASTMOD`
`OPENTIME`

Method Summary
`static SolrConfig.HttpCachingConfig.LastModFrom` | `parse(String s)` Input must not be null
`static SolrConfig.HttpCachingConfig.LastModFrom` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
`static SolrConfig.HttpCachingConfig.LastModFrom[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### OPENTIME

    public static final SolrConfig.HttpCachingConfig.LastModFrom OPENTIME

### DIRLASTMOD

    public static final SolrConfig.HttpCachingConfig.LastModFrom DIRLASTMOD

### BOGUS

    public static final SolrConfig.HttpCachingConfig.LastModFrom BOGUS

Method Detail

### values

    public static final SolrConfig.HttpCachingConfig.LastModFrom[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(SolrConfig.HttpCachingConfig.LastModFrom c : SolrConfig.HttpCachingConfig.LastModFrom.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static SolrConfig.HttpCachingConfig.LastModFrom valueOf(String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `IllegalArgumentException` - if this enum type has no constant with the specified name

### parse

    public static SolrConfig.HttpCachingConfig.LastModFrom parse(String s)

  Input must not be null

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD